Bug 287180 - Missing Server Side Subscription context menu
Summary: Missing Server Side Subscription context menu
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: folders (show other bugs)
Version: Git (master)
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-21 16:51 UTC by Allen Winter
Modified: 2012-01-17 18:03 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Allen Winter 2011-11-21 16:51:19 UTC
Version:           Git (master) (using Devel) 
OS:                Linux

For kolab folders in kmail1, there was a context menu selection for starting the server side subscriptions dialog.  there was also one for selecting local subscriptions.

I would like that menu selection restored in kmail2.

or at least put some place more obvious than where it currently is located -- which is only in the advanced tab of the account dialog.

Reproducible: Always

Steps to Reproduce:
see the context menu of a kolab folder

Actual Results:  
there is no server side subscriptions selection

Expected Results:  
i'd like to see server side subscriptions selection -- either on the context menu or someplace else that's more obvious than only in the advanced accounts dialog.
Comment 1 Laurent Montel 2011-11-21 17:57:18 UTC
We can't do it it's in imap server dialog box.
Comment 2 András Manţia 2011-12-08 11:28:30 UTC
Well, it is technically solvable with some extra dbus interface for the IMAP agent...
I take the freedom to reopen it, as now the dialog is really hidden.
Comment 3 Laurent Montel 2012-01-17 18:02:48 UTC
Git commit 7ac856e3b89dbcb18a7c554c4fbeb7d31a1b8a3c by Montel Laurent.
Committed on 17/01/2012 at 18:18.
Pushed by mlaurent into branch 'master'.

Fix Bug 287180 - Missing Server Side Subscription context menu

FIXED-IN: 4.9

M  +24   -0    resources/imap/imapresource.cpp
M  +1    -0    resources/imap/imapresource.h
M  +31   -3    resources/imap/subscriptiondialog.cpp
M  +12   -4    resources/imap/subscriptiondialog.h

http://commits.kde.org/kdepim-runtime/7ac856e3b89dbcb18a7c554c4fbeb7d31a1b8a3c
Comment 4 Laurent Montel 2012-01-17 18:03:11 UTC
Git commit 3bdaaee14dbffb3d5376563e9505b7463a6c21d4 by Montel Laurent.
Committed on 17/01/2012 at 18:19.
Pushed by mlaurent into branch 'master'.

Fix Bug 287180 - Missing Server Side Subscription context menu

FIXED-IN: 4.9

M  +39   -1    kmail/kmmainwidget.cpp
M  +2    -0    kmail/kmmainwidget.h

http://commits.kde.org/kdepim/3bdaaee14dbffb3d5376563e9505b7463a6c21d4